Hardware Locality (hwloc) 1.10.0

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Fields

Data Fields
hwloc_topology_diff_obj_attr_u::hwloc_topology_diff_obj_attr_string_s Struct Reference
Topology differences

`#include <diff.h>`

## Data Fields
hwloc_topology_diff_obj_attr_type_t | type
char * | name
char * | oldvalue
char * | newvalue

## Detailed Description

String attribute modification with an optional name.

## Field Documentation

char* hwloc_topology_diff_obj_attr_u::hwloc_topology_diff_obj_attr_string_s::name

char* hwloc_topology_diff_obj_attr_u::hwloc_topology_diff_obj_attr_string_s::newvalue

char* hwloc_topology_diff_obj_attr_u::hwloc_topology_diff_obj_attr_string_s::oldvalue

hwloc_topology_diff_obj_attr_type_t hwloc_topology_diff_obj_attr_u::hwloc_topology_diff_obj_attr_string_s::type

The documentation for this struct was generated from the following file:

- diff.h